### Method

# Template Scope new_with_parent

#### Declaration

    TmplScope*
    tmpl_scope_new_with_parent (
      TmplScope* parent
    )

#### Description

Creates a new scope to contain variables and custom expressions, If `parent` is set, the parent scope will be inherited.

#### Parameters

`parent`

  Type: `TmplScope`

  An optional parent scope.

  The argument can be `NULL`.

#### Return value

Type: `TmplScope`

A newly created `TmplScope`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.